
package ca.canadapost.cpcdp.pickup.generated.pickuprequest;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for PickupRequestInfoType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="PickupRequestInfoType">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;all>
 *         &lt;element name="pickup-request-header" type="{http://www.canadapost.ca/ws/pickuprequest}PickupRequestHeaderType"/>
 *         &lt;element name="pickup-request-price" type="{http://www.canadapost.ca/ws/pickuprequest}PickupRequestPriceType" minOccurs="0"/>
 *         &lt;element name="links">
 *           &lt;complexType>
 *             &lt;complexContent>
 *               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *                 &lt;sequence>
 *                   &lt;element ref="{http://www.canadapost.ca/ws/pickuprequest}link" maxOccurs="unbounded"/>
 *                 &lt;/sequence>
 *               &lt;/restriction>
 *             &lt;/complexContent>
 *           &lt;/complexType>
 *         &lt;/element>
 *       &lt;/all>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "PickupRequestInfoType", propOrder = {

})
@XmlRootElement(name = "pickup-request-info")
public class PickupRequestInfo {

    @XmlElement(name = "pickup-request-header", required = true)
    protected PickupRequestHeaderType pickupRequestHeader;
    @XmlElement(name = "pickup-request-price")
    protected PickupRequestPriceType pickupRequestPrice;
    @XmlElement(required = true)
    protected PickupRequestInfo.Links links;

    /**
     * Gets the value of the pickupRequestHeader property.
     * 
     * @return
     *     possible object is
     *     {@link PickupRequestHeaderType }
     *     
     */
    public PickupRequestHeaderType getPickupRequestHeader() {
        return pickupRequestHeader;
    }

    /**
     * Sets the value of the pickupRequestHeader property.
     * 
     * @param value
     *     allowed object is
     *     {@link PickupRequestHeaderType }
     *     
     */
    public void setPickupRequestHeader(PickupRequestHeaderType value) {
        this.pickupRequestHeader = value;
    }

    /**
     * Gets the value of the pickupRequestPrice property.
     * 
     * @return
     *     possible object is
     *     {@link PickupRequestPriceType }
     *     
     */
    public PickupRequestPriceType getPickupRequestPrice() {
        return pickupRequestPrice;
    }

    /**
     * Sets the value of the pickupRequestPrice property.
     * 
     * @param value
     *     allowed object is
     *     {@link PickupRequestPriceType }
     *     
     */
    public void setPickupRequestPrice(PickupRequestPriceType value) {
        this.pickupRequestPrice = value;
    }

    /**
     * Gets the value of the links property.
     * 
     * @return
     *     possible object is
     *     {@link PickupRequestInfo.Links }
     *     
     */
    public PickupRequestInfo.Links getLinks() {
        return links;
    }

    /**
     * Sets the value of the links property.
     * 
     * @param value
     *     allowed object is
     *     {@link PickupRequestInfo.Links }
     *     
     */
    public void setLinks(PickupRequestInfo.Links value) {
        this.links = value;
    }


    /**
     * <p>Java class for anonymous complex type.
     * 
     * <p>The following schema fragment specifies the expected content contained within this class.
     * 
     * <pre>
     * &lt;complexType>
     *   &lt;complexContent>
     *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
     *       &lt;sequence>
     *         &lt;element ref="{http://www.canadapost.ca/ws/pickuprequest}link" maxOccurs="unbounded"/>
     *       &lt;/sequence>
     *     &lt;/restriction>
     *   &lt;/complexContent>
     * &lt;/complexType>
     * </pre>
     * 
     * 
     */
    @XmlAccessorType(XmlAccessType.FIELD)
    @XmlType(name = "", propOrder = {
        "links"
    })
    public static class Links {

        @XmlElement(name = "link", required = true)
        protected List<Link> links;

        /**
         * Gets the value of the links property.
         * 
         * <p>
         * This accessor method returns a reference to the live list,
         * not a snapshot. Therefore any modification you make to the
         * returned list will be present inside the JAXB object.
         * This is why there is not a <CODE>set</CODE> method for the links property.
         * 
         * <p>
         * For example, to add a new item, do as follows:
         * <pre>
         *    getLinks().add(newItem);
         * </pre>
         * 
         * 
         * <p>
         * Objects of the following type(s) are allowed in the list
         * {@link Link }
         * 
         * 
         */
        public List<Link> getLinks() {
            if (links == null) {
                links = new ArrayList<Link>();
            }
            return this.links;
        }

    }

}
