
package ca.canadapost.cpcdp.pickup.generated.pickuprequest;

import java.math.BigDecimal;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for PickupRequestPriceType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="PickupRequestPriceType">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element name="pre-tax-amount" type="{http://www.canadapost.ca/ws/pickuprequest}CostTypeAllowsZero"/>
 *         &lt;element name="gst-amount" type="{http://www.canadapost.ca/ws/pickuprequest}CostTypeAllowsZero" minOccurs="0"/>
 *         &lt;element name="pst-amount" type="{http://www.canadapost.ca/ws/pickuprequest}CostTypeAllowsZero" minOccurs="0"/>
 *         &lt;element name="hst-amount" type="{http://www.canadapost.ca/ws/pickuprequest}CostTypeAllowsZero" minOccurs="0"/>
 *         &lt;element name="due-amount" type="{http://www.canadapost.ca/ws/pickuprequest}CostTypeAllowsZero"/>
 *         &lt;element name="cc-receipt-details" type="{http://www.canadapost.ca/ws/pickuprequest}cc-receipt-details-type" minOccurs="0"/>
 *         &lt;element name="supplier-account-receipt-details" type="{http://www.canadapost.ca/ws/pickuprequest}SupplierAccountReceiptDetailsType" minOccurs="0"/>
 *       &lt;/sequence>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "PickupRequestPriceType", propOrder = {
    "preTaxAmount",
    "gstAmount",
    "pstAmount",
    "hstAmount",
    "dueAmount",
    "ccReceiptDetails",
    "supplierAccountReceiptDetails"
})
public class PickupRequestPriceType {

    @XmlElement(name = "pre-tax-amount", required = true)
    protected BigDecimal preTaxAmount;
    @XmlElement(name = "gst-amount")
    protected BigDecimal gstAmount;
    @XmlElement(name = "pst-amount")
    protected BigDecimal pstAmount;
    @XmlElement(name = "hst-amount")
    protected BigDecimal hstAmount;
    @XmlElement(name = "due-amount", required = true)
    protected BigDecimal dueAmount;
    @XmlElement(name = "cc-receipt-details")
    protected CcReceiptDetailsType ccReceiptDetails;
    @XmlElement(name = "supplier-account-receipt-details")
    protected SupplierAccountReceiptDetailsType supplierAccountReceiptDetails;

    /**
     * Gets the value of the preTaxAmount property.
     * 
     * @return
     *     possible object is
     *     {@link BigDecimal }
     *     
     */
    public BigDecimal getPreTaxAmount() {
        return preTaxAmount;
    }

    /**
     * Sets the value of the preTaxAmount property.
     * 
     * @param value
     *     allowed object is
     *     {@link BigDecimal }
     *     
     */
    public void setPreTaxAmount(BigDecimal value) {
        this.preTaxAmount = value;
    }

    /**
     * Gets the value of the gstAmount property.
     * 
     * @return
     *     possible object is
     *     {@link BigDecimal }
     *     
     */
    public BigDecimal getGstAmount() {
        return gstAmount;
    }

    /**
     * Sets the value of the gstAmount property.
     * 
     * @param value
     *     allowed object is
     *     {@link BigDecimal }
     *     
     */
    public void setGstAmount(BigDecimal value) {
        this.gstAmount = value;
    }

    /**
     * Gets the value of the pstAmount property.
     * 
     * @return
     *     possible object is
     *     {@link BigDecimal }
     *     
     */
    public BigDecimal getPstAmount() {
        return pstAmount;
    }

    /**
     * Sets the value of the pstAmount property.
     * 
     * @param value
     *     allowed object is
     *     {@link BigDecimal }
     *     
     */
    public void setPstAmount(BigDecimal value) {
        this.pstAmount = value;
    }

    /**
     * Gets the value of the hstAmount property.
     * 
     * @return
     *     possible object is
     *     {@link BigDecimal }
     *     
     */
    public BigDecimal getHstAmount() {
        return hstAmount;
    }

    /**
     * Sets the value of the hstAmount property.
     * 
     * @param value
     *     allowed object is
     *     {@link BigDecimal }
     *     
     */
    public void setHstAmount(BigDecimal value) {
        this.hstAmount = value;
    }

    /**
     * Gets the value of the dueAmount property.
     * 
     * @return
     *     possible object is
     *     {@link BigDecimal }
     *     
     */
    public BigDecimal getDueAmount() {
        return dueAmount;
    }

    /**
     * Sets the value of the dueAmount property.
     * 
     * @param value
     *     allowed object is
     *     {@link BigDecimal }
     *     
     */
    public void setDueAmount(BigDecimal value) {
        this.dueAmount = value;
    }

    /**
     * Gets the value of the ccReceiptDetails property.
     * 
     * @return
     *     possible object is
     *     {@link CcReceiptDetailsType }
     *     
     */
    public CcReceiptDetailsType getCcReceiptDetails() {
        return ccReceiptDetails;
    }

    /**
     * Sets the value of the ccReceiptDetails property.
     * 
     * @param value
     *     allowed object is
     *     {@link CcReceiptDetailsType }
     *     
     */
    public void setCcReceiptDetails(CcReceiptDetailsType value) {
        this.ccReceiptDetails = value;
    }

    /**
     * Gets the value of the supplierAccountReceiptDetails property.
     * 
     * @return
     *     possible object is
     *     {@link SupplierAccountReceiptDetailsType }
     *     
     */
    public SupplierAccountReceiptDetailsType getSupplierAccountReceiptDetails() {
        return supplierAccountReceiptDetails;
    }

    /**
     * Sets the value of the supplierAccountReceiptDetails property.
     * 
     * @param value
     *     allowed object is
     *     {@link SupplierAccountReceiptDetailsType }
     *     
     */
    public void setSupplierAccountReceiptDetails(SupplierAccountReceiptDetailsType value) {
        this.supplierAccountReceiptDetails = value;
    }

}
